Subject: Re: perl 5.8.6
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: Jason Pearce <[email-masked]>, Cygwin List <[email-masked]>
Date: Sun, 12 Dec 2004 14:58:08 +0100

Reini Urban wrote:

> Jason Pearce schrieb:
> 
>> Reini Urban wrote:
>>
>>> Maybe I'll come to the pending Win32::API problem with the callbacks 
>>> on gcc also. A simple hack30-like solution should always be possible. 
>>> Or a fallback to C::Dynalib.
>>> Win32::OLE didn't compile OOTB, but this is easy. Just forgot where I 
>>> put the patch.
>>> And your /usr/include/iodbcunix.h was wrong. Had to patch it to 
>>> compile Win32::ODBC. Will send it later.
>>
>>
>> It would be be fantastic if you can. I am making a lot of use of this 
>> module at the moment to call third party dlls.
> 
> 
> Which of these three?
> Win32::API callbacks will need some time.
> Use the two other, better perl FFI's instead (FFI, C::Dynalib)
> 
> For Win32::OLE there was a patch somewhere which I didn't apply nor 
> tested yet.
> 
> Win32::ODBC and the rest of the libwin32 suite works ok.
> Win32::GUI also.
> Maybe a seperate perl-tk package will be appreciated also, now that I 
> heard that it works after applying some known patches.
> 
> Should I publish the 5.8.5 package or wait for 5.8.6?
> I'm quite busy with postgresql and phpwiki now.

Please wait with 3rd party extemsions after 5.8.6 is out.

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/